Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Spring Data Commons
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.data.repository.core
Interface RepositoryInformation

All Superinterfaces:
  RepositoryMetadata

    public interface RepositoryInformation

extends RepositoryMetadata

Aditional repository specific information

Author:
  Oliver Gierke

Method Summary
`Iterable<Method>` | `getQueryMethods()` Returns all methods considered to be query methods.
`Class<?>` | `getRepositoryBaseClass()` Returns the base class to be used to create the proxy backing instance.
`Method` | `getTargetClassMethod(Method method)` Returns the target class method that is backing the given method.
`boolean` | `hasCustomMethod()` Returns if the configured repository interface has custom methods, that might have to be delegated to a custom implementation.
`boolean` | `isCustomMethod(Method method)` Returns whether the given method is a custom repository method.

Methods inherited from interface org.springframework.data.repository.core.RepositoryMetadata
`getDomainClass, getIdClass, getRepositoryInterface`

Method Detail

### getRepositoryBaseClass

    Class<?> getRepositoryBaseClass()

  Returns the base class to be used to create the proxy backing instance.

  Returns:

### hasCustomMethod

    boolean hasCustomMethod()

  Returns if the configured repository interface has custom methods, that might have to be delegated to a custom implementation. This is used to verify repository configuration.

  Returns:

### isCustomMethod

    boolean isCustomMethod(Method method)

  Returns whether the given method is a custom repository method.

  Parameters:
    `method` -
    `baseClass` -
  Returns:

### getQueryMethods

    Iterable<Method> getQueryMethods()

  Returns all methods considered to be query methods.

  Parameters:
    `repositoryInterface` -
  Returns:

### getTargetClassMethod

    Method getTargetClassMethod(Method method)

  Returns the target class method that is backing the given method. This can be necessary if a repository interface redeclares a method of the core repository interface (e.g. for transaction behaviour customization). Returns the method itself if the target class does not implement the given method.

  Parameters:
    `method` -
  Returns:

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Spring Data Commons
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011. All Rights Reserved.